<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">HttpRequest Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classHttpRequest.html">HttpRequest</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classHttpRequest.html#a970869c3e73fb4cf6758793e5fa27471">close</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpRequest.html#a0a5ce3688a7340c0e04b026c51ee5154">dump</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpRequest.html#afbdb7737b89853ed346dd61c51e1836f">getBody</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpRequest.html#ab252baed3c7368fd26708c299bf89e34">getHeader</a>(std::string name)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getHeaders</b>() (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getMethod</b>() (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getPath</b>() (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpRequest.html#ab09977e9201d7b79d0f77d416096d707">getQuery</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpRequest.html#a704e22a6312c4b88d3a13803893faccf">getSocket</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getVersion</b>() (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getWebSocket</b>() (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_HEADER_ACCEPT</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_HEADER_ALLOW</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_HEADER_CONNECTION</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_HEADER_CONTENT_LENGTH</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_HEADER_CONTENT_TYPE</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_HEADER_COOKIE</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_HEADER_HOST</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_HEADER_LAST_MODIFIED</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_HEADER_ORIGIN</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_HEADER_SEC_WEBSOCKET_ACCEPT</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_HEADER_SEC_WEBSOCKET_KEY</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_HEADER_SEC_WEBSOCKET_PROTOCOL</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_HEADER_SEC_WEBSOCKET_VERSION</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_HEADER_UPGRADE</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_HEADER_USER_AGENT</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_METHOD_CONNECT</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_METHOD_DELETE</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_METHOD_GET</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_METHOD_HEAD</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_METHOD_OPTIONS</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_METHOD_PATCH</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>HTTP_METHOD_POST</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>HTTP_METHOD_PUT</b> (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpRequest.html#a866f33e85b736b32f0084d64a716529c">HttpRequest</a>(Socket s)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpRequest.html#a219c6b9d700e5940d86d909e4c9a0169">isClosed</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpRequest.html#ada6a0b548a6a104d1e94b17f6c96d5fe">isWebsocket</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpRequest.html#a53f09999b5f93920c79eed1423a490cf">parseForm</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classHttpRequest.html#a69559e9b796efa4ba6abaefffc77ddd0">pathSplit</a>()</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classHttpRequest.html#a33588e0cf0864e1be7c519f7d491e01e">urlDecode</a>(std::string str)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~HttpRequest</b>() (defined in <a class="el" href="classHttpRequest.html">HttpRequest</a>)</td><td class="entry"><a class="el" href="classHttpRequest.html">HttpRequest</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
